:root {
    all: initial;
  /* Valeurs par défaut (thème clair) */
  --bs-body-color: #212529;
  --bs-body-bg: #ffffff;
  --bs-border-color: #dee2e6;
  --bs-primary-rgb: 13, 110, 253;
  --bs-primary: #0d6efd;
  --bs-primary-hover: #0b5ed7;
  --bs-border-radius:0.75rem;
}

/* Thème sombre avec fond noir pur */
[data-bs-theme="dark"] {
  /* .form-control,.form-select {
    background-color: #4061a8 ;
    border: 1px solid #ccc;
    
  }
   */
   background-color: #0d6efd!important;
  --bs-table-striped-bg: #df2222;
  --bs-body-color: #ffffff;
  --bs-body-bg: #092154;
  /* noir pur */
  --bs-border-color: #444;
  --bs-primary-rgb: 11, 26, 58;
  --bs-primary: #0b1a3a;
  --bs-primary-hover: #0069d973;
  --bs-bg-opacity: 1;
  --bs-bg: #212529;
  /* noir pur */

  --bs-link-color: #66b2ff;
  --bs-link-hover-color: #385c91;
  --bs-link-hover-color-rgb: 39, 84, 53;

  /* --bs-link-color-rgb: var(--bs-link-hover-color-rgb); */

  --bs-btn-bg: #0b1a3a;
  --bs-btn-border-color: #0b1a3a;
  --bs-btn-hover-bg: #0069d973;
  --bs-btn-hover-border-color: #0069d973;

  --bs-card-bg: #121212;
  --bs-card-border-color: #333;
  --bs-border-color: grey;
  --menu-bg-rgb: 11, 26, 58;
  --menu-bg: #0b1a3a;

  .logo-bg {
    background-color: #0b1a3a;
  }

  .nav-pills .nav-link.active,
  .nav-pills .show>.nav-link {
    background-color: #2b4170;
  }

  .text-bg-light {
    color: #fff !important;
    background-color: #4061a8 !important;

    .modal.fade.slide-right-modal.full-modal.show.d-block {
      background-color: #192f2f85;
    }
  }

  h2 {
    color: #a6c0f5d0;
    font-size: 1.5em;
  }

  .menu-collapse {
    background-color: transparent;

    &:hover {
      background-color: transparent;
    }
  }
  .table {
    --bs-table-striped-bg: rgb(0 0 0 / 35%);
  }

  .menu-bg {
    background-color: var(--menu-bg);
    color: var(--bs-body-color);

    a {
      color: white;
    }

    .nav-link {
      color: white;

      &:hover {
        color: red;

      }

      &:active {
        background-color: white;
        color: red;
      }
    }

    .text-bg-light {
      color: #111010f6 !important;
      background-color: #66b2ff;

      .nav-link {
        color: #ebe0e0dc !important;

        &:hover {
          color: red !important;
        }
      }
    }
  }

  .top-bar {
    position: sticky;
    padding: 0;
    margin: 1em 2em;
    color: #ff1a36;

    h1 {
      color: #869ccf;
    }

    height: 70px;
    /* background-color: #0b1a3a; */
    ;
    border-bottom: 3px inset grey;

    .btn {
      font-size: 1.25rem;
      height: 44px;
      width: 44px;
    }
  }

  .sidebar-container {
    border-right: 1px solid #190e5fdb;
  }
  .logoimage{
    content: url('/logo-dark.png');
    .collapsed {
       content: url('/logo-s-dark.png');
    }
    
  }
}

[data-bs-theme="light"] {
  /* .form-control,.form-select {
    background-color: #f7f8fa;
    border: 1px solid #ccc;
    color: #212529;
  } */
  --bs-body-color: #212529;
  --bs-body-bg: #e1e4eb;
  /* gris clair */
  --bs-border-color: #3b3d3f80;
  --bs-primary-rgb: 33, 37, 41;
  --bs-primary: #343a40;
  /* gris foncé élégant */
  --bs-primary-hover: #2c3137;

  --bs-bg-opacity: 1;
  --bs-bg: #f5f6f8;

  --bs-link-color: #0d6efd;
  --bs-link-hover-color: #0a58ca;

  --bs-btn-bg: #343a40;
  --bs-btn-border-color: #343a40;
  --bs-btn-hover-bg: #2c3137;
  --bs-btn-hover-border-color: #2c3137;

  --bs-card-bg: #ffffff;
  --bs-card-border-color: #dcdcdc;
  --menu-bg-rgb: 11, 26, 58;
  --menu-bg: #004aad;

  .top-bar {
    position: sticky;
    padding: 0;
    margin: 1em 1em;
    color: #ff1a36;

    h1 {
      color: #ff1a36;
    }

    height: 70px;
    /* background-color: #0b1a3a; */
    ;
    border-bottom: 3px inset grey;

    .btn {
      font-size: 1.25rem;
      height: 44px;
      width: 44px;
    }
  }

  /* --logo-bg: #ff1a36; */
  .logo-bg {
    background-color: #ff1a36;
  }

  .modal.fade.slide-right-modal.full-modal.show.d-block {
    background-color: #192f2f85;
  }

  .menu-collapse {
    background-color: transparent;

    &:hover {
      background-color: transparent;
    }
  }

  h2 {
    color: #004aad;
    font-size: 1.5em;
  }

  .menu-bg {
    background-color: var(--menu-bg);
    color: var(--bs-body-color);

    a {
      color: white;
    }

    .nav-link {
      color: white;

      &:hover {
        color: red;

      }

      &:active {
        background-color: white;
        color: red;
      }
    }

    .text-bg-light {
      color: #111010f6 !important;
      background-color: #66b2ff;

      .nav-link {
        color: #111010f6 !important;

        &:hover {
          color: red !important;
        }
      }
    }

    ul.nav.nav-pills {
      border-radius: 0;
      --bs-nav-pills-border-radius: 0;
    }
  }

  a.nav-link.active {
    background-color: white;
    color: #ff1a36;
  }
.logoimage{
    content: url('/logo-light.png');
    .collapsed {
       content: url('/logo-s-light.png');
    }
    
  }
}

.dropdown {
  color: #fff;

  a {
    color: #fff;
  }

  .nav-link {
    color: #fff;

    &:hover {
      color: red;

    }

    &:active {
      background-color: white;
      color: red;
    }
  }

  .text-muted {
    color: lightgray !important;
  }

}

/* fin light */

/* 
.logo-bg {
  background-color: var(--logo-bg);
  
} */


html,
body {
  max-width: 100vw;
  overflow-x: hidden;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

a {
  color: inherit;
  text-decoration: none;
}

@media (prefers-color-scheme: dark) {
  html {
    color-scheme: dark;
  }
}

@media (width >=1400px) {

  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl,
  .container-xxl {
    max-width: 1920px;
  }
}

/* Add this to your CSS or a module */
@keyframes slideInRight {
  from {
    transform: translateX(100%);
    opacity: 0;
  }

  to {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes slideOutLeft {
  from {
    transform: translateX(0);
    opacity: 1;
  }

  to {
    transform: translateX(-100%);
    opacity: 0;
  }
}

@keyframes slideOutRight {
  0% {
    transform: translateX(0);
    opacity: 1;
  }

  100% {
    transform: translateX(100%);
    opacity: 0;
  }
}

.slide-right-modal .modal-dialog {
  animation: slideInRight 0.4s forwards;
}

.slide-right-modal.slide-out .modal-dialog {
  animation: slideOutRight 0.4s forwards;
}

.slide-right-modal .modal-backdrop {
  animation: fadeIn 0.4s forwards;
}

.slide-right-modal.slide-out .modal-backdrop {
  animation: fadeOut 0.4s forwards;
}

.slide-right-modal .modal-backdrop.show {
  opacity: 0.5;
}

.modal-dialog.full-modal {
  height: calc(100vh - 80px);
  max-width: calc(100vh - 80px);
  min-height: calc(100vh - 80px);
  ;
  width: calc(100vw - 250px);
  min-width: calc(100vw - 250px);
  left: 250px;
  top: 80px;
  margin: 0;
  padding: 0;
}

.full-modal .modal-content {
  height: 100%;
  width: 100%;
  border-radius: 0;
}

h1,
h2 {
  color: red;
}

.map-container {
  height: 100%;
  /* Hauteur de la carte */
  width: 100%;
  /* Largeur de la carte */
}

.leaflet-container {
  height: 100% !important;
  /* Assure que la carte utilise toute la hauteur du conteneur */
  width: 100% !important;
  /* Assure que la carte utilise toute la largeur du conteneur */
}
.css-1nmdiq5-menu {
  z-index: 9999 !important;
  background-color: white;
  border: 1px solid #ccc;
  color:black;
}
.gridTable{
  font-size: 0.9rem;
  /* Taille de police réduite */
  width: 100%;
  /* Largeur maximale */
  /* Pour que les colonnes aient une largeur fixe */
  border-collapse: collapse;
  .form-control {
    font-size: 0.9rem;
    padding: 0.25rem 0.2rem;
    /* Pour que les champs de saisie remplissent la cellule */
  }
}
.nav-item{
  margin-left: 0.5em;
  margin-right: 0.5em;
}